Update contact by emailCopy Pagepatch https://api.omnisend.com/api/contactsUpdates the contact matching the provided email address. Scopes: contacts.writeQuery ParamsemailstringrequiredContact email addressBody ParamsContact fields to updatePayload for creating or updating a contact.addressstringStreet, house number, apartment number.birthdatestringContact birthdate in YYYY-MM-DD formatcitystringCitycountrystringCountry name. Used to derive ISO country code when countryCode is not providedcountryCodestringISO 3166-1 alpha-2 country code. Takes priority over country when both are providedcreatedAtstringContact creation timestamp. If provided, stored as "externalCreated" custom propertycustomPropertiesobjectYou can add your own custom properties. Read more in https://api-docs.omnisend.com/reference/contacts#custom-propertiescustomProperties objectfirstNamestringContact first namegenderstringenumContact gender. m - male, f - femalemmfAllowed:mfidentifiersarray of objectsContact identifiers (email and/or phone)identifiersADD objectlastNamestringContact last namepostalCodestringPostal or zip codestatestringState or regiontagsarray of stringslength ≤ 100Labels assigned to the contact. When creating a contact, it is strongly advised to include a source tag, e.g. "source: shopify".tagsADD stringHeadersOmnisend-VersionstringrequiredDefaults to 2026-03-15API version that specifies the response format and behaviourResponses 200OK 400Request contains invalid or missing fields 401Authentication is missing or invalid 403Insufficient permissions for this operation 404Contact not found 409Contact identifier already exists 410API version has been retired 429Rate limit exceeded 500Unexpected error occurredUpdated about 2 months ago